Forum: Ruby issues while installing ruby gems

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
600fc90e36ff81dfaba666708cf91dc5?d=identicon&s=25 Dil Bert (lin)
on 2014-06-30 23:35
dear experts

while installing ruby-gems i run into issues


linux-70ce:/home/martin/perl # ^C
linux-70ce:/home/martin/perl # gem install mysql2
Fetching: mysql2-0.3.16.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing mysql2:
        ERROR: Failed to build gem native extension.

    /usr/bin/ruby2.0 extconf.rb
mkmf.rb can't find header files for ruby at /usr/lib/ruby/include/ruby.h


Gem files will remain installed in
/usr/lib/ruby/gems/2.0.0/gems/mysql2-0.3.16 for inspection.
Results logged to
/usr/lib/ruby/gems/2.0.0/gems/mysql2-0.3.16/ext/mysql2/gem_make.out
linux-70ce:/home/martin/perl # ^C
linux-70ce:/home/martin/perl # ^C
linux-70ce:/home/martin/perl # ^C
linux-70ce:/home/martin/perl #  gem install sequel

Fetching: sequel-4.11.0.gem (100%)
Successfully installed sequel-4.11.0
Parsing documentation for sequel-4.11.0
Installing ri documentation for sequel-4.11.0
1 gem installed
linux-70ce:/home/martin/perl #
linux-70ce:/home/martin/perl # gem install mysql
Fetching: mysql-2.9.1.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing mysql:
        ERROR: Failed to build gem native extension.

    /usr/bin/ruby2.0 extconf.rb
mkmf.rb can't find header files for ruby at /usr/lib/ruby/include/ruby.h


Gem files will remain installed in
/usr/lib/ruby/gems/2.0.0/gems/mysql-2.9.1 for inspection.
Results logged to
/usr/lib/ruby/gems/2.0.0/gems/mysql-2.9.1/ext/mysql_api/gem_make.out
linux-70ce:/home/martin/perl #

i have no glue what happens here
54404bcac0f45bf1c8e8b827cd9bb709?d=identicon&s=25 7stud -- (7stud)
on 2014-06-30 23:51
You need to install more stuff so that you have mkmf.rb available.
Check google for your OS name and that error message.
This topic is locked and can not be replied to.